crypto-api-0.10.2: A generic interface for cryptographic operations

Portability | portable
Stability | beta
Maintainer | Thomas.DuBuisson@gmail.com
Safe Haskell | None

Crypto.HMAC

Description

Synopsis

- hmac :: Hash c d => MacKey c d -> ByteString -> d
- hmac' :: Hash c d => MacKey c d -> ByteString -> d
- newtype MacKey c d = MacKey ByteString

# Documentation

hmac :: Hash c d => MacKey c d -> ByteString -> d

Message authentication code calculation for lazy bytestrings. `hmac k msg` will compute an authentication code for `msg` using key `k`

hmac' :: Hash c d => MacKey c d -> ByteString -> d

`hmac k msg` will compute an authentication code for `msg` using key `k`

newtype MacKey c d

A key carrying phantom types `c` and `d`, forcing the key data to only be used by particular hash algorithms.

Constructors

MacKey ByteString |

Instances

Eq (MacKey c d) |
Ord (MacKey c d) |
Show (MacKey c d) |